## org.springframework.jmx.export.naming
Class IdentityNamingStrategy

    java.lang.Object
      org.springframework.jmx.export.naming.IdentityNamingStrategy

All Implemented Interfaces:
  ObjectNamingStrategy

    public class IdentityNamingStrategy

extends Object
implements ObjectNamingStrategy

An implementation of the `ObjectNamingStrategy` interface that creates a name based on the the identity of a given instance.

The resulting `ObjectName` will be in the form package:class=class name,hashCode=identity hash (in hex)

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller

Field Summary
`static String` `HASH_CODE_KEY`
`static String` `TYPE_KEY`

Constructor Summary
`IdentityNamingStrategy()`

Method Summary
`ObjectName` `getObjectName(Object managedBean, String beanKey)` Returns an instance of `ObjectName` based on the identity of the managed resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_KEY

    public static final String TYPE_KEY

See Also:
  Constant Field Values

### HASH_CODE_KEY

    public static final String HASH_CODE_KEY

See Also:
  Constant Field Values

Constructor Detail

### IdentityNamingStrategy

    public IdentityNamingStrategy()

Method Detail

### getObjectName

    public ObjectName getObjectName(Object managedBean,
                                    String beanKey)
                             throws MalformedObjectNameException

  Returns an instance of `ObjectName` based on the identity of the managed resource.

  Specified by:
    `getObjectName` in interface `ObjectNamingStrategy`
  Parameters:
    `managedBean` - the bean that will be exposed under the returned `ObjectName`
    `beanKey` - the key associated with this bean in the beans map passed to the `MBeanExporter`
  Returns:
    the `ObjectName` instance
  Throws:
    `MalformedObjectNameException` - if the resulting `ObjectName` is invalid